Update settings
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.supermemory.ai/v3/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.supermemory.ai/v3/settings"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)curl --request PATCH \
--url https://api.supermemory.ai/v3/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'{
"orgId": "<string>",
"orgSlug": "<string>",
"updated": {
"excludeItems": "<string>",
"filterPrompt": "<string>",
"googleDriveClientId": "<string>",
"googleDriveClientSecret": "<string>",
"googleDriveCustomKeyEnabled": true,
"includeItems": "<string>",
"notionClientId": "<string>",
"notionClientSecret": "<string>",
"notionCustomKeyEnabled": true,
"onedriveClientId": "<string>",
"onedriveClientSecret": "<string>",
"onedriveCustomKeyEnabled": true,
"githubClientId": "<string>",
"githubClientSecret": "<string>",
"githubCustomKeyEnabled": true,
"shouldLLMFilter": true,
"chunkSize": -1,
"profileBuckets": [
{
"key": "<string>",
"description": ""
}
]
}
}{
"error": "Invalid request parameters",
"details": "Query must be at least 1 character long"
}{
"error": "Invalid request parameters",
"details": "Query must be at least 1 character long"
}{
"error": "Invalid request parameters",
"details": "Query must be at least 1 character long"
}Update settings
Update settings for an organization
PATCH
/
v3
/
settings
Update settings
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.supermemory.ai/v3/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.supermemory.ai/v3/settings"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)curl --request PATCH \
--url https://api.supermemory.ai/v3/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'{
"orgId": "<string>",
"orgSlug": "<string>",
"updated": {
"excludeItems": "<string>",
"filterPrompt": "<string>",
"googleDriveClientId": "<string>",
"googleDriveClientSecret": "<string>",
"googleDriveCustomKeyEnabled": true,
"includeItems": "<string>",
"notionClientId": "<string>",
"notionClientSecret": "<string>",
"notionCustomKeyEnabled": true,
"onedriveClientId": "<string>",
"onedriveClientSecret": "<string>",
"onedriveCustomKeyEnabled": true,
"githubClientId": "<string>",
"githubClientSecret": "<string>",
"githubCustomKeyEnabled": true,
"shouldLLMFilter": true,
"chunkSize": -1,
"profileBuckets": [
{
"key": "<string>",
"description": ""
}
]
}
}{
"error": "Invalid request parameters",
"details": "Query must be at least 1 character long"
}{
"error": "Invalid request parameters",
"details": "Query must be at least 1 character long"
}{
"error": "Invalid request parameters",
"details": "Query must be at least 1 character long"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Required range:
-2147483648 <= x <= 2147483647Profile bucket definitions
Maximum array length:
50Show child attributes
Show child attributes
Was this page helpful?